### Function

# GUPnP ContextManager create

#### Declaration [src]

    GUPnPContextManager*
    gupnp_context_manager_create (
      guint port
    )

#### Description [src]

Factory-method to create a new `GUPnPContextManager`. The final type of the `GUPnPContextManager` depends on the compile-time selection or - in case of NetworkManager - on its availability during run-time. If it is not available, the implementation falls back to the basic Unix context manager instead.

Equivalent to calling #gupnp_context_manager_create_full (`GSSDP_UDA_VERSION_1_0`, `G_SOCKET_FAMILY_IPV4`, port);

Available since: | 0.18.0

#### Parameters

`port` | `guint`
| Port to create contexts for, or 0 if you don’t care what port is used.

#### Return value

Returns: | `GUPnPContextManager`
| A new `GUPnPContextManager` object.
| The caller of the function takes ownership of the data, and is responsible for freeing it.